LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XColorScaleEntry Interface Reference

`import"XColorScaleEntry.idl";`

## Public Member Functions
com::sun::star::util::Color | getColor ()
void | setColor ([in] com::sun::star::util::Color Color)
string | getFormula ()
void | setFormula ([in] string Formula)
long | getType ()
| See com.sun.star.sheet.ColorScaleEntryType for possible values. More...
void | setType ([in] long Type)
| See com.sun.star.sheet.ColorScaleEntryType for possible values. More...

## Member Function Documentation

## ◆ getColor()

com::sun::star::util::Color getColor | ( |  | ) |

## ◆ getFormula()

string getFormula | ( |  | ) |

## ◆ getType()

long getType | ( |  | ) |

See com.sun.star.sheet.ColorScaleEntryType for possible values.

## ◆ setColor()

void setColor | ( | [in] com::sun::star::util::Color | Color | ) |

## ◆ setFormula()

void setFormula | ( | [in] string | Formula | ) |

## ◆ setType()

void setType | ( | [in] long | Type | ) |

See com.sun.star.sheet.ColorScaleEntryType for possible values.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XColorScaleEntry.idl